EDIT - feature request #5356

Handle exceptions which require reconnect
10/26/2015 04:08 PM - Cherian Mathew

Status: New Start date:

Priority: New Due date:

Assignee: Andreas Muller % Done: 0%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.46

Severity: normal

Description

There are some exceptions which should 'never' occur in remoting, but when they do the safest option is to perform a reconnect.
These include,
e org.hibernate.LazylnitializationException: could not initialize proxy - no Session

¢ java.lang.lllegalStateException: An entity copy was already assigned to a different entity

In the case of these exception, we should popup a cdm error dialog. with the extra hint to the user to reconnect.

History

#1 - 11/27/2015 03:53 PM - Cherian Mathew

- Target version changed from Remoting 5.0 to Remoting 6.0

This can be added to the exception handling in eu.etaxonomy.taxeditor.ApplicationWorkbenchAdvisor.

#2 - 12/05/2020 01:20 PM - Andreas Miiller

- Description updated

- Target version changed from Remoting 6.0 to Release 5.19

- Private changed from Yes to No

moving this open remoting 6.0 ticket to current milestone to decide what to do with it.
Is the above mentioned solution really possible?

#3 - 01/27/2021 03:43 PM - Andreas Miiller

- Target version changed from Release 5.19 to Release 5.21

#4 - 03/10/2021 02:35 PM - Andreas Miiller

- Target version changed from Release 5.21 to Release 5.22

#5 - 04/16/2021 09:47 PM - Andreas Miiller

- Target version changed from Release 5.22 to Release 5.46
